import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_detail_entity.g.dart';

@JsonSerializable()
class JobListDetailEntity {
	@JSONField(name: "job_id")
	int jobId = 0;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "need_num")
	int needNum = 0;
	@JSONField(name: "department_id")
	String? departmentId = null;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "department_list")
	List<JobListDetailDepartmentList>? departmentList = [];

	JobListDetailEntity();

	factory JobListDetailEntity.fromJson(Map<String, dynamic> json) => $JobListDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListDetailDepartmentList {
	int? value = 0;
	String? txt = null;
	String? selected = null;

	JobListDetailDepartmentList();

	factory JobListDetailDepartmentList.fromJson(Map<String, dynamic> json) => $JobListDetailDepartmentListFromJson(json);

	Map<String, dynamic> toJson() => $JobListDetailDepartmentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}